package formview

import (
	"go_dreamfactory/cmd/v2/model"
	"go_dreamfactory/cmd/v2/service"
	"go_dreamfactory/pb"

	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/widget"
	"github.com/sirupsen/logrus"
)

// 修改头像
type UserModifyavatarView struct {
	BaseformView
}

func (this *UserModifyavatarView) CreateView(t *model.TestCase) fyne.CanvasObject {
	avatarId := widget.NewEntry()
	this.form.AppendItem(widget.NewFormItem("头像ID", avatarId))

	this.form.OnSubmit = func() {
		if err := service.GetPttService().SendToClient(
			t.MainType,
			t.SubType,
			&pb.UserModifyavatarReq{AvatarId: avatarId.Text},
		); err != nil {
			logrus.Error(err)
			return
		}

	}

	return this.form
}
